<?php
/**
 * OfferSaleStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Offers.
 *
 * Offers
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OffersClient\Dto;
use \Ensi\OffersClient\ObjectSerializer;

/**
 * OfferSaleStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус продажи товара. Расшифровка значений:  * &#x60;1&#x60; - в продаже  * &#x60;2&#x60; - снят с продажи
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OfferSaleStatusEnum
{
    /**
     * Possible values of this enum
     */
    const ON_SALE = 1;
    const OUT_SALE = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ON_SALE,
            self::OUT_SALE,
        ];
    }
}


